html, body {
  overflow-y: scroll;        
  scrollbar-width: none;     
  -ms-overflow-style: none; 
}

body::-webkit-scrollbar {
  display: none;             
}

html {
  box-sizing: border-box;
  scroll-behavior: smooth !important;
  font-size: var(--base-font-size);
  /* Base 16px para usar rems */
  line-height: 1.65em;
  -webkit-text-size-adjust: 100%;
  color-scheme: light dark;
  /* Soporte para dark mode nativo */
  height: 100%;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

body {
  margin: 0;
  min-height: 100%;
  font-family: var(--font-family-body), sans-serif;
  font-weight: 300;
  font-size: 1rem;
  background-color: var(--white);
  color: var(--black);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
}

html,
body {
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE/Edge */

  /* Para Webkit (Chrome, Safari) */
  color: var(--black);

}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
  display: none;
  /* Chrome, Safari */
}

/* === Tipografía === */
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0 0 1em;
  font-weight: 300;
  line-height: 1.2em;
  /* font-family: 'Paytone One', sans-serif; */
  font-weight: 300;
  font-family: var(--font-family-header), sans-serif;
  /* letter-spacing: .07em; */
  color: var(--black);

}

h1 {
  font-size: var(--h1-font-size);
}

h2 {
  font-size: var(--h2-font-size);
}

h3 {
  font-size: var(--h3-font-size);

}

h4 {
  font-size: var(--h4-font-size);

}

h5 {
  font-size: var(--h5-font-size);

}

h6 {
  font-size: var(--h6-font-size);

}

p {
  margin: 0 0 1em;
  font-size: var(--p-font-size);
  line-height: 1.65rem;
}

p strong {
  font-weight: 500;
}


p em {
  font-style: italic;
  font-weight: 300;
}

/* === Enlaces === */
a:not(.button) {
  font-size: inherit;
  color: var(--primary);
  text-decoration: none;
  outline: none;

}

a .label {
  text-decoration: underline;
}

a .label .icon {
  font-size: var(--icon-font-size);

  text-decoration: none;

}

a:hover,
a:hover .label,
a:focus,
a:focus .label,
a:active,
a:active .label {
  outline: none;
  box-shadow: none;
  -webkit-tap-highlight-color: transparent;
}

a:hover .icon,
a:focus .icon,
a:active .icon {
  text-decoration: none;
  text-decoration: none !important;

}


/* === Imágenes y multimedia === */
img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
}

img {
  position: relative;
  user-drag: none;
  -webkit-user-drag: none;
  user-select: none;
  -webkit-user-select: none;
  pointer-events: none;
  /* Solo si no necesitas que la imagen reciba eventos */
  position: relative;
}


img:after {
  content: '';
  position: absolute;
  inset: 0;
  background: transparent;
  z-index: 10;
}

/* === Formularios === */
input,
button,
textarea,
select {
  font: inherit;
  margin: 0;
  padding: 0;
  border: none;
  background: none;
  color: inherit;
}

.button, a.button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--mobile-inner-margin);
  width: 10rem;
  height: 2rem;
  font-size: var(--button-font-size);
  font-weight: 300;
  text-align: center;
  text-decoration: none;
  color: var(--black);
  padding: .5em 1em;
  border: 1px solid var(--black);
  background-color: transparent;
  border-radius: var(--border-radius);
  cursor: pointer;
  transition: all 0.2s ease;
}


.button:hover,
.button:focus {
  text-decoration: none;
  /* border: 2px solid var(--black-transparency);
  border-right: none;
  border-bottom: none ; */
  filter: brightness(.75);
}

option {
  color: var(--black);
}

textarea {
  width: 100%;
  background-color: var(--white);
  border-radius: var(--border-radius);
  color: var(--black);
  padding: .0 1em 0 1em;
}

option:checked {
  text-decoration: underline;
}

option:focus,
option:active {
  background-color: var(--info);
  outline: var(--info);
}

input {
  color: var(--black);
  background-color: var(--white);
  width: 100%;
  border-radius: var(--border-radius);
  height: 2rem;
  margin-bottom: var(--mobile-bottom-margin);
  padding: .0 1em 0 1em;
}

input[type="checkbox"] {
  width: fit-content;
  margin-bottom: 0;
  height: auto;
}

button {
  cursor: pointer;
  outline: none;
  box-shadow: none;
  -webkit-tap-highlight-color: transparent;
  /* Para móviles */
  outline: none;
}

/* === Listas === */
ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

li {
  font-size: var(--p-font-size);
  line-height: 1.65rem;
}

li::before {


}

/* === Tablas === */
table {
  border-collapse: collapse;
  width: 100%;
}